##############################################################################
# ScoDoc
# Copyright (c) 1999 - 2024 Emmanuel Viennet.  All rights reserved.
# See LICENSE
##############################################################################

"""Activation du module AutoSco

L'affichage du module est contrôlé par la config ScoDocConfig.enable_autosco

"""
from app.models import ScoDocSiteConfig


def activate_module(enable: bool = True) -> bool:
    """Active le module.
    True si l'état d'activation a changé.
    """
    change = ScoDocSiteConfig.enable_autosco(enable)
    return change
